<template>
  <div class="chan" @click="clickedChan()">
    <div class="supprBtn" @click="deleteChannel()"> X </div>
    <div>
      <b>{{chan.label}}</b> <i class="fas fa-coffee"></i> 
      <br>
      <i>{{chan.topic}}</i>
    </div>
    <br>
  </div>
</template>

<script>
export default {
  name: "Chan",
  props: ["chan"],
  data() {
    return {
      isDeleted: false,
    };
  },
  methods: {
    deleteChannel() {
      this.isDeleted = true;
      window.axios
        .delete("channels/" + this.chan._id)
        .then(response => {
          //deleteOnChan is the event that will be listened in the parent component
          //the chan id is the data sent to the parent
          this.$emit("deleteChan", this.chan._id);
        })
        .catch(error => {
          alert(error.response.data.error);
        });
    },

    clickedChan() {
      // checking if the chan was clicked or the delete button
      if (!this.isDeleted) {
        this.$emit("chanToShow", this.chan._id);

      }
    }
  }
};
</script>


<style lang='scss'>
$borderColor : #2A2634;

.chan {
  display: flex;
  align-items: center;
  color: #b7bfc7;
  border-top: 1px solid $borderColor;
  border-left: 1px solid $borderColor;
  border-bottom: 1px solid $borderColor;
  // background-color:#261F28;
  background-color: #24242A;
  padding: 0.5em;

  .supprBtn{
    margin : 0 20px 0 10px;
    color : #4b4b4b;
  }

  &:hover {
    background-color: #24242A;
    cursor: pointer;
  }



}

</style>